{% extends 'HCUEPacienteBundle::layout.html.twig' %}

{% block title %}Carga de archivo de vacunas{% endblock title %}

{% block bradcrumbs '' %}

{% block page_main_content %}

    <div class="row">
        <div class="widget-body">
            <tr class="widget-main">

                {% if errorsfile %}
                    <div class="alert alert-danger">
                        <strong> Atención! </strong>
                        Se encontraron inconsistencias en el archivo, verifique y vuelva a subirlo
                    </div>
                    <button class="btn btn-primary" id="btnimport" style=" margin-bottom: 1em;">
                            <i class="menu-icon fa fa fa-download"> </i>
                            Volver a cargar
                    </button>
                    <br>
                    <ul>
                        {% for error in errorsfile %}
                            <li class="red"><b>{{ error }}</b></li>
                        {% endfor %}
                    </ul>
                {% else %}
                    {% if errorsdata %}
                        <div class="alert alert-danger">
                            <strong> Atención! </strong>
                            Se encontraron inconsistencias en el archivo, verifique y vuelva a subirlo
                        </div>
                        <button class="btn btn-primary" id="btnimport" style=" margin-bottom: 1em;">
                            <i class="menu-icon fa fa fa-download"> </i>
                            Volver a cargar
                        </button>
                        <br>
                        <table class="table table-bordered table-striped ">
                            <tr>
                                <th style=" width: 5%;">Línea</th>
                                <th style=" width: 10%;">Identificación</th>
                                <th style=" width: 85%;">Error</th>
                            </tr>
                            {% for error in errorsdata %}
                                <tr>
                                    <td > {{ error.linea }}</td>
                                    <td > {{ error.identificacion }}</td>
                                    <td > {{ error.error }} </td>
                                </tr>
                            {% endfor %}
                        </table>
                    {% else %}
                        <div class="alert alert-success">
                            <strong> Atención! </strong>
                            El archivo fue procesado de manera exitosa, se insertaron {{ registrosinsertados }} vacunas.
                        </div>
                        <br>
                        <table class="table table-bordered table-striped ">
                            <tr>
                                <th style=" width: 5%;">Línea</th>
                                <th style=" width: 10%;">Identificación</th>
                                <th style=" width: 85%;">Mensaje</th>
                            </tr>
                            {% for upload in uploadsdata %}
                                <tr>
                                    <td > {{ upload.linea }}</td>
                                    <td > {{ upload.identificacion }}</td>
                                    <td > {{ upload.mensaje }} </td>
                                </tr>
                            {% endfor %}
                        </table>
                    {% endif %}

                {% endif %}
        </div>
    </div>
    </div>

{% endblock page_main_content %}

{% block foot_script %}
    {{ parent() }}
    <script type="text/javascript">
        $(function () {
            $("#btnimport").click(function(){
                $(this).hide()
                    .slideUp( 1000 ).delay( 8800 ).fadeIn( 1000 );
                    history.back();
            });
        });
    </script>
{% endblock foot_script %}